clear variables; close all;


%%
load TSI.mat;
load THC.mat;

%%

num_par=9;
matrix=zeros(1,num_par);
matrix(:,:)=NaN;
S=array2table(matrix);
S.Properties.VariableNames(1:num_par) = {'devID','phantom','day','operator','replacement','TSI','std_TSI_single_meas','THC','std_THC_single_meas'};

%%

k=0;


dev=50;
day=1;
operator=3;
for i=1:size(day1_TSI,1)
    
    for j=1:size(day1_TSI,2)
        k=k+1;
        S.devID(k)=dev;
        S.phantom(k)=i;
        S.day(k)=day;
        S.operator(k)=operator;
        S.replacement(k)=j;
        S.TSI(k)=day1_TSI(i,j);
        S.std_TSI_single_meas(k)=NaN;
        S.THC(k)=day1_THC(i,j);
        S.std_THC_single_meas(k)=NaN;
        
    end
    
    
end

dev=50;
day=2;
operator=3;
for i=1:size(day2_TSI,1)
    
    for j=1:size(day2_TSI,2)
        k=k+1;
        S.devID(k)=dev;
        S.phantom(k)=i;
        S.day(k)=day;
        S.operator(k)=operator;
        S.replacement(k)=j;
        S.TSI(k)=day2_TSI(i,j);
        S.std_TSI_single_meas(k)=NaN;
        S.THC(k)=day2_THC(i,j);
        S.std_THC_single_meas(k)=NaN;
        
    end
    
    
end

dev=50;
day=3;
operator=3;
for i=1:size(day3_TSI,1)
    
    for j=1:size(day3_TSI,2)
        k=k+1;
        S.devID(k)=dev;
        S.phantom(k)=i;
        S.day(k)=day;
        S.operator(k)=operator;
        S.replacement(k)=j;
        S.TSI(k)=day3_TSI(i,j);
        S.std_TSI_single_meas(k)=NaN;
        S.THC(k)=day3_THC(i,j);
        S.std_THC_single_meas(k)=NaN;
        
    end
    
    
end

save table_sana.mat S;