%%

clear variables; close all;

%%
load table_sana.mat;

%%


devID=50;
a=unique(S.phantom);
x=1:1:numel(a);
int=0.05;
dx=[-0.1; 0; 0.1];

col_l = {'ko', 'bo', 'ro'};
fill_1 = {'k', 'b', 'r'};
figure;
hold on;
for i=1:numel(a)
    
    
%     b=numel(T(T.devID==a(i) & T.phantom==phan,:).TSI);
%     temp=1:b; dx=int*(temp-mean(temp));
    for j=1:numel(dx)
        
        if j==1
           col=col_l{1,1};fill=fill_1{1,1};
        end
        if j==2
           col=col_l{1,2};fill=fill_1{1,2};
        end
        if j==3
           col=col_l{1,3};fill=fill_1{1,3};
        end
        
        errorbar(a(i)+dx(j),nanmean(S(S.phantom==i & S.day==j,:).TSI),nanstd(S(S.phantom==i & S.day==j,:).TSI),col,'MarkerSize',9,'MarkerFaceColor',fill)
        
        
    end
    
end
ax=gca;
yline(nanmean(S(S.devID==devID,:).TSI),'-','Average');
yline(nanmean(S(S.devID==devID,:).TSI)+nanstd(S(S.devID==devID,:).TSI),'--','Std');
yline(nanmean(S(S.devID==devID,:).TSI)-nanstd(S(S.devID==devID,:).TSI),'--','Std');
xticks(x);
xticklabels({'ph01','ph02','ph03','ph04','ph05','ph06','ph07','ph08','ph09','ph10'})
title('device id 1350, TSI')
ylabel('TSI (%)')
ylim([42 60])
xlim([0 11])

ax.XGrid = 'on' ;
box on


%%


devID=50;
a=unique(S.phantom);
x=1:1:numel(a);
int=0.05;
dx=[-0.1; 0; 0.1];

col_l = {'ko', 'bo', 'ro'};
fill_1 = {'k', 'b', 'r'};
figure;
hold on;
for i=1:numel(a)
    
    
%     b=numel(T(T.devID==a(i) & T.phantom==phan,:).THC);
%     temp=1:b; dx=int*(temp-mean(temp));
    for j=1:numel(dx)
        
        if j==1
           col=col_l{1,1};fill=fill_1{1,1};
        end
        if j==2
           col=col_l{1,2};fill=fill_1{1,2};
        end
        if j==3
           col=col_l{1,3};fill=fill_1{1,3};
        end
        
        errorbar(a(i)+dx(j),nanmean(S(S.phantom==i & S.day==j,:).THC),nanstd(S(S.phantom==i & S.day==j,:).THC),col,'MarkerSize',9,'MarkerFaceColor',fill)
        
        
    end
    
end
ax=gca;
yline(nanmean(S(S.devID==devID,:).THC),'-','Average');
yline(nanmean(S(S.devID==devID,:).THC)+nanstd(S(S.devID==devID,:).THC),'--','Std');
yline(nanmean(S(S.devID==devID,:).THC)-nanstd(S(S.devID==devID,:).THC),'--','Std');
xticks(x);
xticklabels({'ph01','ph02','ph03','ph04','ph05','ph06','ph07','ph08','ph09','ph10'})
title('device id 1350, THC')
ylabel('THC (\muM)')
ylim([25 55])
xlim([0 11])

ax.XGrid = 'on' ;
box on




        
        

