%%

clear variables; close all;

%%
load results_june_july_2020;

%%
% day1='june 2, 2020';operator=umut&marco (operator 1)
% day2='june 4, 2020';operator=umut&marco (operator 1)
% day3='july 21, 2020';operator=lorenzo (operator 2)
% day4='march 14 2021';operator1=marta (operator 3), operator2=anurag (operator 4)
% day5='may 18, 2021';operator=lorenzo (operator 2)

%%

num_par=11;
matrix=zeros(1,num_par);
matrix(:,:)=NaN;
T=array2table(matrix);
T.Properties.VariableNames(1:11) = {'devID','phantom','day','operator','repetition','TSI','std_TSI_rep','std_TSI_single_meas','THC','std_THC_rep','std_THC_single_meas'};

%%


k=0;

day=1;
operator=1;
for i=1:numel(june1)
    
    for j=1:2
        k=k+1;
        
        if j==1
            phan=300;
        end
        if j==2
            phan=312;
        end
        
        dev=str2double(june1(i).devID);
        T.devID(k)=dev;        
        T.phantom(k)=phan;
        T.day(k)=day;
        T.operator(k)=operator;
        T.TSI(k)=june1(i).TSI.av_rep(j);
        T.std_TSI_rep(k)=june1(i).TSI.std_rep(j);
        T.std_TSI_single_meas(k)=june1(i).TSI.av_std_singlemeas(j);
        
        T.THC(k)=june1(i).THC.av_rep(j);
        T.std_THC_rep(k)=june1(i).THC.std_rep(j);
        T.std_THC_single_meas(k)=june1(i).THC.av_std_singlemeas(j);
        
        
        rep=1;
        if isempty(T(T.phantom==phan & T.day==day & T.devID==dev & T.repetition==rep,:).TSI)
            T.repetition(k)=rep;
        else
            T.repetition(k)=rep+1;
        end
        
               
   
    
        
        
    end
    
    
    
end
    
day=2;
operator=1;
for i=1:numel(june2)
    
    for j=1:2
        k=k+1;
        
        if j==1
            phan=300;
        end
        if j==2
            phan=312;
        end
        
        dev=str2double(june2(i).devID);
        T.devID(k)=dev;       
        T.phantom(k)=phan;
        T.day(k)=day;
        T.operator(k)=operator;
       
        T.TSI(k)=june2(i).TSI.av_rep(j);
        T.std_TSI_rep(k)=june2(i).TSI.std_rep(j);
        T.std_TSI_single_meas(k)=june2(i).TSI.av_std_singlemeas(j);
        
        T.THC(k)=june2(i).THC.av_rep(j);
        T.std_THC_rep(k)=june2(i).THC.std_rep(j);
        T.std_THC_single_meas(k)=june2(i).THC.av_std_singlemeas(j);
        
        
        rep=1;
        if isempty(T(T.phantom==phan & T.day==day & T.devID==dev & T.repetition==rep,:).TSI)
            T.repetition(k)=rep;
        else
            T.repetition(k)=rep+1;
        end
        
               
   
    
        
        
    end
    
    
    
end
    

day=3;
operator=2;
for i=1:numel(july1)
    
    for j=1:2
        k=k+1;
        
        if j==1
            phan=300;
        end
        if j==2
            phan=312;
        end
        dev=str2double(july1(i).devID);
        T.devID(k)=dev;        
        T.phantom(k)=phan;
        T.day(k)=day;
        T.operator(k)=operator;
        
        T.TSI(k)=july1(i).TSI.av_rep(j);
        T.std_TSI_rep(k)=july1(i).TSI.std_rep(j);
        T.std_TSI_single_meas(k)=july1(i).TSI.av_std_singlemeas(j);
        
        T.THC(k)=july1(i).THC.av_rep(j);
        T.std_THC_rep(k)=july1(i).THC.std_rep(j);
        T.std_THC_single_meas(k)=july1(i).THC.av_std_singlemeas(j);
        rep=1;
        if isempty(T(T.phantom==phan & T.day==day & T.devID==dev & T.repetition==rep,:).TSI)
            T.repetition(k)=rep;
        else
            T.repetition(k)=rep+1;
        end
            
            
               
   
    
        
        
    end
    
    
    
end


%% day 4


day=4;

dev38=load('variables1338_INO.mat');
dev50=load('variables1350_INO.mat');
dev54=load('variables1354_INO.mat');


num_par=11;
matrix=zeros(1,num_par);
matrix(:,:)=NaN;
R=array2table(matrix);
R.Properties.VariableNames(1:11) = {'devID','phantom','day','operator','repetition','TSI','std_TSI_rep','std_TSI_single_meas','THC','std_THC_rep','std_THC_single_meas'};

h=0;

%%%%%%% dev 50
dev=50;
for i=1:size(dev50.TSIstr.avg.avg,1)
    if i==1
        oper=3;
    end
    if i==2
        oper=4;
    end
    
    for j=1:size(dev50.TSIstr.avg.avg,2)
        
        h=h+1;
        if j==1
            phan=312;
        end
        if j==2
            phan=300;
        end
       
       R.operator(h)=oper;
       R.devID(h)=dev;
       R.phantom(h)=phan;
       R.day(h)=day;
       R.repetition(h)=1;
       R.TSI(h)=dev50.TSIstr.avg.avg(i,j);
       R.THC(h)=dev50.THCstr.avg.avg(i,j);
       R.std_TSI_rep(h)=dev50.TSIstr.std.std_TSI_rep(i,j);
       R.std_TSI_single_meas(h)=dev50.TSIstr.std.std_TSI_single_meas(i,j);
       R.std_THC_rep(h)=dev50.THCstr.std.std_THC_rep(i,j);
       R.std_THC_single_meas(h)=dev50.THCstr.std.std_THC_single_meas(i,j);
       
            
        
        
    end
        
end
%%%%%% dev 38

dev=38;
for i=1:size(dev38.TSIstr.avg.avg,1)
    if i==1
        oper=3;
    end
    if i==2
        oper=4;
    end
    
    for j=1:size(dev38.TSIstr.avg.avg,2)
        
        h=h+1;
        if j==1
            phan=312;
        end
        if j==2
            phan=300;
        end
       R.operator(h)=oper;
       R.devID(h)=dev;
       R.phantom(h)=phan;
       R.day(h)=day;
       R.repetition(h)=1;
       R.TSI(h)=dev38.TSIstr.avg.avg(i,j);
       R.THC(h)=dev38.THCstr.avg.avg(i,j);
       R.std_TSI_rep(h)=dev38.TSIstr.std.std_TSI_rep(i,j);
       R.std_TSI_single_meas(h)=dev38.TSIstr.std.std_TSI_single_meas(i,j);
       R.std_THC_rep(h)=dev38.THCstr.std.std_THC_rep(i,j);
       R.std_THC_single_meas(h)=dev38.THCstr.std.std_THC_single_meas(i,j);
       
            
        
        
    end
        
end


%%%%%% dev 54

dev=54;
for i=1:size(dev54.TSIstr.avg.avg,1)
    if i==1
        oper=3;
    end
    if i==2
        oper=4;
    end
    
    for j=1:size(dev54.TSIstr.avg.avg,2)
        
        h=h+1;
        if j==1
            phan=312;
        end
        if j==2
            phan=300;
        end
       R.operator(h)=oper;
       R.devID(h)=dev;
       R.phantom(h)=phan;
       R.day(h)=day;
       R.repetition(h)=1;
       R.TSI(h)=dev54.TSIstr.avg.avg(i,j);
       R.THC(h)=dev54.THCstr.avg.avg(i,j);
       R.std_TSI_rep(h)=dev54.TSIstr.std.std_TSI_rep(i,j);
       R.std_TSI_single_meas(h)=dev54.TSIstr.std.std_TSI_single_meas(i,j);
       R.std_THC_rep(h)=dev54.THCstr.std.std_THC_rep(i,j);
       R.std_THC_single_meas(h)=dev54.THCstr.std.std_THC_single_meas(i,j);
       
            
        
        
    end
        
end

M=R;
clear R;
%% day 5 (18/05/2021)

day=5;

dev38=load('variables1338_INO_2.mat');
dev50=load('variables1350_INO_2.mat');
dev54=load('variables1354_INO_2.mat');


num_par=11;
matrix=zeros(1,num_par);
matrix(:,:)=NaN;
R=array2table(matrix);
R.Properties.VariableNames(1:11) = {'devID','phantom','day','operator','repetition','TSI','std_TSI_rep','std_TSI_single_meas','THC','std_THC_rep','std_THC_single_meas'};

h=0;

%%%%%%% dev 50
dev=50;
for i=1:size(dev50.TSIstr.avg.avg,1)
    if i==1
        oper=2;
    end
    
    
    for j=1:size(dev50.TSIstr.avg.avg,2)
        
        h=h+1;
%         
        if j==1
            phan=300;
        end
       
       R.operator(h)=oper;
       R.devID(h)=dev;
       R.phantom(h)=phan;
       R.day(h)=day;
       R.repetition(h)=1;
       R.TSI(h)=dev50.TSIstr.avg.avg(i,j);
       R.THC(h)=dev50.THCstr.avg.avg(i,j);
       R.std_TSI_rep(h)=dev50.TSIstr.std.std_TSI_rep(i,j);
       R.std_TSI_single_meas(h)=dev50.TSIstr.std.std_TSI_single_meas(i,j);
       R.std_THC_rep(h)=dev50.THCstr.std.std_THC_rep(i,j);
       R.std_THC_single_meas(h)=dev50.THCstr.std.std_THC_single_meas(i,j);
       
            
        
        
    end
        
end
%%%%%% dev 38

dev=38;
for i=1:size(dev38.TSIstr.avg.avg,1)
    if i==1
        oper=2;
    end
   
    
    for j=1:size(dev38.TSIstr.avg.avg,2)
        
        h=h+1;

        if j==1
            phan=300;
        end
       R.operator(h)=oper;
       R.devID(h)=dev;
       R.phantom(h)=phan;
       R.day(h)=day;
       R.repetition(h)=1;
       R.TSI(h)=dev38.TSIstr.avg.avg(i,j);
       R.THC(h)=dev38.THCstr.avg.avg(i,j);
       R.std_TSI_rep(h)=dev38.TSIstr.std.std_TSI_rep(i,j);
       R.std_TSI_single_meas(h)=dev38.TSIstr.std.std_TSI_single_meas(i,j);
       R.std_THC_rep(h)=dev38.THCstr.std.std_THC_rep(i,j);
       R.std_THC_single_meas(h)=dev38.THCstr.std.std_THC_single_meas(i,j);
       
            
        
        
    end
        
end


%%%%%% dev 54

dev=54;
for i=1:size(dev54.TSIstr.avg.avg,1)
    if i==1
        oper=2;
    end
  
    
    for j=1:size(dev54.TSIstr.avg.avg,2)
        
        h=h+1;
        if j==1
            phan=300;
        end

       R.operator(h)=oper;
       R.devID(h)=dev;
       R.phantom(h)=phan;
       R.day(h)=day;
       R.repetition(h)=1;
       R.TSI(h)=dev54.TSIstr.avg.avg(i,j);
       R.THC(h)=dev54.THCstr.avg.avg(i,j);
       R.std_TSI_rep(h)=dev54.TSIstr.std.std_TSI_rep(i,j);
       R.std_TSI_single_meas(h)=dev54.TSIstr.std.std_TSI_single_meas(i,j);
       R.std_THC_rep(h)=dev54.THCstr.std.std_THC_rep(i,j);
       R.std_THC_single_meas(h)=dev54.THCstr.std.std_THC_single_meas(i,j);
       
            
        
        
    end
        
end


%%

K=[T;M;R];

DAY_1_2_3=T;
DAY_4=M;
DAY_5=R;

T=K;


%% remove outliers

T(T.devID==38 & T.phantom==300 & T.day==4 & T.operator==3 & T.repetition==1,:).TSI=NaN;
T(T.devID==38 & T.phantom==300 & T.day==4 & T.operator==3 & T.repetition==1,:).std_TSI_rep=NaN;
T(T.devID==38 & T.phantom==300 & T.day==4 & T.operator==3 & T.repetition==1,:).std_TSI_single_meas=NaN;
T(T.devID==38 & T.phantom==300 & T.day==4 & T.operator==3 & T.repetition==1,:).THC=NaN;
T(T.devID==38 & T.phantom==300 & T.day==4 & T.operator==3 & T.repetition==1,:).std_THC_rep=NaN;
T(T.devID==38 & T.phantom==300 & T.day==4 & T.operator==3 & T.repetition==1,:).std_THC_single_meas=NaN;


%% averages, one value every device


a=unique(T.devID);
temp=zeros(2*numel(a),6);
temp(:,:)=NaN;


AV=array2table(temp);
AV.Properties.VariableNames(1:6) = {'devID','phantom','TSI','std_TSI','THC','std_THC'};

AV.devID(1:numel(a))=a;AV.devID(numel(a)+1:end)=a;
AV.phantom(1:numel(a))=300;AV.phantom(numel(a)+1:end)=312;

% for i=1:numel(AV.TSI)
% 
%     AV{i,3}=nanmean(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).TSI);
%     AV{i,4}=nanstd(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).TSI);
%     AV{i,5}=nanmean(T(T.devID==AV{i,1} & T.phantom==AV{i,2} & T.day~=4,:).THC);%exclude day 4 from average THC since they are outliers
%     AV{i,6}=nanstd(T(T.devID==AV{i,1} & T.phantom==AV{i,2} & T.day~=4,:).THC);%exclude day 4 from average THC since they are outliers
% 
% end


for i=1:numel(AV.TSI)

    AV{i,3}=nanmean(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).TSI);
    AV{i,4}=nanstd(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).TSI);
    AV{i,5}=nanmean(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).THC);
    AV{i,6}=nanstd(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).THC);
end

%% remove std=0

c=find(AV.std_THC==0);
cc=find(AV.std_TSI==0);

AV.std_THC(c)=NaN;
AV.std_TSI(cc)=NaN;


%%


save table_alldays.mat T AV;


%%













