%%
clear variables; close all;

%%

load table_sana.mat;

%%
a=unique(S.phantom);
TSI=zeros(numel(a),3);%col 1 TSI, col 2 std, col 3 CV
TSI(:,:)=NaN;

THC=zeros(numel(a),3);%col 1 THC, col 2 std, col 3 CV
THC(:,:)=NaN;

for i=1:numel(a)
    
    TSI(i,1)=nanmean(S(S.phantom==a(i),:).TSI);
    TSI(i,2)=nanstd(S(S.phantom==a(i),:).TSI);
    TSI(i,3)=100*nanstd(S(S.phantom==a(i),:).TSI)./nanmean(S(S.phantom==a(i),:).TSI);
    
    
    THC(i,1)=nanmean(S(S.phantom==a(i),:).THC);
    THC(i,2)=nanstd(S(S.phantom==a(i),:).THC);
    THC(i,3)=100*nanstd(S(S.phantom==a(i),:).THC)./nanmean(S(S.phantom==a(i),:).THC);
    
end

avCV_TSI=nanmean(TSI(:,3));
avTSI_ph=nanmean(TSI(:,1));
stdTSI_ph=nanstd(TSI(:,1));
CV_TSI=100*stdTSI_ph/avTSI_ph;

avCV_THC=nanmean(THC(:,3));
avTHC_ph=nanmean(THC(:,1));
stdTHC_ph=nanstd(THC(:,1));
CV_THC=100*stdTHC_ph/avTHC_ph;

save results_CV_table_paper.mat;

